Use relative links (or, do not create unsecure links for users on secure server)
Closed, DeclinedPublic

Description

After I searched for "piano" on
https://secure.wikimedia.org/wikipedia/commons/wiki/Sequence:Test2
the Sequencer displayed the following message:


Proxy is not configured [x]

The request failed. Are you logged in on commons.wikimedia.org ? Please [log in] and try again
General security reminder: Only login to web sites when your address bar displays that site's address.

[cancel] [Retry API request]

and [log in] was linked to
http://commons.wikimedia.org/w/index.php/Special:UserLogin
although I was on secure server.

Could you change the code which creates that link so that it points to the secure server when the user is on that server?


Version: unspecified
Severity: normal

bzimport set Reference to bz29649.
He7d3r created this task.Via LegacyJun 29 2011, 10:43 PM
bzimport added a comment.Via ConduitDec 18 2011, 3:30 PM

mdale wrote:

Yes .. sequencer could use improvement in protocol relative urls in a few places.

Will have to be deferred until the whole application can be revisited.

Aklapper added a comment.Via ConduitJan 9 2013, 1:26 PM

mdale:
This report has been in ASSIGNED status for more than one year and you are set as its assignee. In case that you are not actively working on a fix, please reset the bug status to NEW/UNCONFIRMED.
In case you do not plan to work on a fix in the near future: Please also edit the "Assigned To" field by clicking "Reset Assignee to default", in order to not prevent potential contributors from working on a fix. Thanks for your help!
[assigned>=1y]

bzimport added a comment.Via ConduitJan 9 2013, 3:11 PM

mdale wrote:

These tools are no longer in use. Marked resolved wontfix

He7d3r added a comment.Via ConduitJan 10 2013, 12:17 PM

Which tools are no longer in use? Why?

Aklapper added a comment.Via ConduitJan 10 2013, 1:05 PM

Sequence Editor is no longer in use and does not see active development.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.